Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 28 Dec 2022 18:10:00 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call? Hi  
 
After so many follow up with your customer service team the item still not collected https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5517731